<?php
declare( strict_types=1 );

namespace FiboFilters\Filters\SourceTypes;

/**
 * Class StockStatus
 */
class StockStatus extends SourceType {
	public function get_calculate_percentage_share(): float {
		$total_products_count = $this->woocommerce_helper->get_total_products_count();
		$count                = $this->woocommerce_helper->get_product_count_instock();

		return $this->get_percentage( $count, $total_products_count );
	}
}
